# $Revision: 1.23 $, $Date: 2002/08/25 18:36:49 $
Summary:	IP Flow Meter is a bandwidth analysis tool
Summary(pl):	IP Flow Meter - program analizujcy wykorzystanie cza
Name:		ipfm
Version:	0.11.4
Release:	7
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.via.ecp.fr/~tibob/ipfm/archive/%{name}-%{version}.tgz
Source1:	%{name}.init
BuildRequires:	libpcap-devel
BuildRequires:	autoconf
Prereq:		chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir		/etc/%{name}
%define		_initdir		/etc/rc.d/init.d
%define		_logdir			/var/log/%{name}

%description
IP Flow Meter is a bandwidth analysis tool, that measures how much
bandwidth specified hosts use on their Internet link.

%description -l pl
IP Flow Meter to program analizujcy wykorzystanie cza. Mierzy on, w
jakim stopniu poszczeglne hosty wykorzystuj dostpne cze do
Internetu.

%prep
%setup  -q

%build
%{__autoconf}
%configure
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/rc.d/init.d}

%{__make} ROOT=$RPM_BUILD_ROOT install

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/%{name} start\" to start %{name} daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop 1>&2
	fi
	/sbin/chkconfig --del %{name}
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HISTORY TODO
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/%{name}
%dir %{_logdir}
%{_mandir}/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ipfm.spec,v $
Revision 1.23  2002/08/25 18:36:49  kloczek
- revert some macros.

Revision 1.22  2002/06/11 10:47:11  kloczek
- use new %doc.

Revision 1.21  2002/05/21 23:13:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/05/08 20:51:00  alchemyx
- changed initscript so it starts separate ipfm processes for each file in
  /etc/ipfm/* (useful for monitoring many interfaces)
- release 7, STBR

Revision 1.19  2002/04/25 16:37:03  arturs
fixed a small typo

Revision 1.18  2002/04/25 14:15:52  marcus
-rel.6.

Revision 1.17  2002/04/02 19:06:06  alchemyx
- changed prio of initscripts from 99 to 95 so it boots before gdm
- release 5

Revision 1.16  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/31 21:31:04  ankry
- added Group(es/pt_BR)

Revision 1.13  2002/01/18 02:13:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/09/22 20:51:45  grzegorz
- s/Prereq: rc-scripts/Prereq: chkconfig/

Revision 1.11  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.9  2001/07/21 13:33:36  migo
- added pl summary and/or description

Revision 1.8  2001/07/16 20:35:47  grzegorz
- added autoconf to %%build, ac 2.50 ready
- added BuildRequire: autoconf
- rel 4

Revision 1.7  2001/07/16 20:30:21  grzegorz
- removed %%{__*} rpm macros

Revision 1.6  2001/07/02 06:46:02  grzegorz
- typos
- rel 3

Revision 1.5  2001/07/02 02:52:27  kloczek
- fixed %files list for man pages.

Revision 1.4  2001/07/02 02:51:43  kloczek
- removed INSTALL and LICENSE from %doc,
- added rc-scripts to Prereq,
- libpcap changed to libpcap-devel in BuildRequires,
- cosmetics.

Revision 1.3  2001/07/01 23:33:34  grzegorz
- added Source1 ipfm.init, pld style init
- added %%post and %%preun

Revision 1.2  2001/05/05 17:48:02  areq
- adapterized
